diff a/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp b/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp
--- a/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp
+++ b/src/hotspot/cpu/x86/stubGenerator_x86_64.hpp
@@ -624,10 +624,13 @@
 
   // shared exception handler for FFM upcall stubs
   address generate_upcall_stub_exception_handler();
   address generate_upcall_stub_load_target();
 
+  // interpreter or compiled code marshalling registers to/from inline type instance
+  address generate_return_value_stub(address destination, const char* name, bool has_res);
+
   // Specialized stub implementations for UseSecondarySupersTable.
   address generate_lookup_secondary_supers_table_stub(u1 super_klass_index);
 
   // Slow path implementation for UseSecondarySupersTable.
   address generate_lookup_secondary_supers_table_slow_path_stub();
